package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

public class DrpPurSendEmailDTO {
   @ApiModelProperty("正文内容")
   private String text;
   @ApiModelProperty("采购计划单号")
   private @NotEmpty(
   message = "采购计划单号不能为空!"
) String planId;
   @ApiModelProperty("通知类型1采购提交通知2二次通知")
   private @NotNull(
   message = "通知类型不能为空!"
) Integer noticeType;

   public String getText() {
      return this.text;
   }

   public String getPlanId() {
      return this.planId;
   }

   public Integer getNoticeType() {
      return this.noticeType;
   }

   public void setText(final String text) {
      this.text = text;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setNoticeType(final Integer noticeType) {
      this.noticeType = noticeType;
   }
}
